import { ChangeMap, WebComponent } from "@hpcc-js/wc-core";
import { TabPanel, Widget } from "@lumino/widgets";
import { HPCCLuminoElement } from "./common";
import { WidgetAdapter } from "./widgetAdapter";
export declare class HPCCTabPanelElement extends HPCCLuminoElement {
    /**
     *  Whether the tabs are movable by the user
     *
     * @defaultValue false
     */
    tabs_movable: boolean;
    /**
     *  Whether the button to add new tabs is enabled
     *
     * @defaultValue false
     */
    add_button_enabled: boolean;
    /**
     *  The placement of the tab bar relative to the content
     *
     * @defaultValue "top"
     */
    tab_placement: "top" | "left" | "right" | "bottom";
    protected _div: HTMLDivElement;
    protected _slot: HTMLSlotElement;
    protected _tabPanel: TabPanel;
    constructor();
    createPanel(): void;
    addWidget(w: WidgetAdapter, _e: HTMLElement, _ref?: Widget): void;
    enter(): void;
    update(changes: ChangeMap<this>): void;
    exit(): void;
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            ["hpcc-tabpanel"]: WebComponent<HPCCTabPanelElement>;
        }
    }
}
//# sourceMappingURL=tabPanel.d.ts.map